#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_definitions( "-DGPG_ERR_SOURCE_DEFAULT=((gpg_err_source_t)176)" )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/certmanager/lib
  ${CMAKE_SOURCE_DIR}/libtdepim
  ${CMAKE_SOURCE_DIR}/libtdenetwork
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### kleopatra_backend_chiasmus (static) #######

tde_add_library( kleopatra_backend_chiasmus STATIC_PIC AUTOMOC
  SOURCES
    config_data.c obtainkeysjob.cpp symcryptrunprocessbase.cpp
    chiasmusjob.cpp chiasmuslibrary.cpp chiasmusbackend.cpp
)
